%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	A library to execute a function when a specific event occurs on a file descriptor
Name:		libevent
Version:	1.4.14b
Release:	1
BuildArch:	i686
Group:		System/Libraries
License:	GPL
URL:		http://www.monkey.org/~provos/libevent/
Source:		%{name}-%{version}-stable.tar.gz
Patch0:		libevent-python26.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel

%description
A library to execute a function when a specific event occurs on a file descriptor

%package devel
Summary: 	libevent development headers.
Group:     	Development/Libraries
Requires: 	libevent = %{version}-%{release}

%description devel
Header and include files for developing applications with libevent.

%prep
%setup -qn %name-%version-stable
%patch0 -p1

%build
./configure --prefix=%_prefix --mandir=%_mandir PYTHON=/usr/bin/python%{PYVER}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install-strip
find ${RPM_BUILD_ROOT}/usr/share/man -type f -exec gzip -9 \{\} \;


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/event_rpcgen.py
%_libdir/libevent*.so*
%_mandir/man3/evdns.3.gz
%_mandir/man3/event.3.gz

%files devel
%defattr(-,root,root)
%_includedir/evdns.h
%_includedir/event-config.h
%_includedir/event.h
%_includedir/evhttp.h
%_includedir/evrpc.h
%_includedir/evutil.h
%_libdir/libevent*.a
%_libdir/libevent*.la

%changelog
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.14b-1
- Version update
* Tue May 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.13-1
- Version update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.4.12-2
- python 2.6
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.12-1
- Version update
* Tue May 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3b-1
- Version update
* Mon May 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0b-2
- Tweaked Spec File, added new Summary, description, changelog, splitted devel Package
* Sat Mar 13 2005 Stefan Gottwald <sg3881@web.de> 1.0b-1
- Initial Build
